--[[
Manages the allocation fo ActionSetLayoutConfig and ActionSetLayout instances.
A user of this class allocates an ActionSetLayoutConfig instance, and then
passes a previously allocated ActionSetLayoutConfig instance when allocating
an ActionSetLayout instance.
--]]
uab.classes.OvalLayoutManager = uab.mixins.aceOO.Class(IActionSetLayoutManager)

function uab.classes.OvalLayoutManager.prototype:init()
	uab.classes.OvalLayoutManager.super.prototype.init(self)
	
    self.name = "uab.Oval"
    self.localizedName = "Oval"
	self.layouts = {}
end

function uab.classes.OvalLayoutManager.prototype:GetLayout(contextName, settings)
	if not self.layouts[contextName] then
	    self.layouts[contextName] = uab.classes.OvalLayout:new(settings)
	elseif settings then
	    self.layouts[contextName]:SetSettings(settings)
	end
	
	return self.layouts[contextName]
end

function uab.classes.OvalLayoutManager.prototype:GetName()
	return self.name
end

function uab.classes.OvalLayoutManager.prototype:GetDisplayName()
	return self.localizedName
end

uab:RegisterLayoutManager(uab.classes.OvalLayoutManager)
